Как обновлять virtualbox 5

Языки программирования, IDE, компиляторы, интерпретаторы, гипервизоры и виртуальные среды
Правила форума
Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа.
Аватара пользователя

Chocobo
Сообщения: 5503
Зарегистрирован: 27 авг 2016, 19:57
Решено: 128
Откуда: НН
Благодарил (а): 411 раз
Поблагодарили: 1427 раз

Как обновлять virtualbox5

Сообщение Chocobo » 14 авг 2017, 18:57

Четв dkms светится только для 5.0 модули, как-то не особо он у тебя обновился похоже.
Попробуй вынести все что связано с боксой и поставить начисто уже нужную версию.

Аватара пользователя

AlexelA
Сообщения: 113
Зарегистрирован: 24 июл 2017, 17:11
Откуда: город-герой Новороссийск
Благодарил (а): 18 раз
Поблагодарили: 5 раз

Как обновлять virtualbox5

Сообщение AlexelA » 14 авг 2017, 19:10

Ок, спс, завтра попробую...
Для того, чтобы ничего не делать, надо уметь делать все! (©) (А.Лебедь)
FM2A85X Extreme6 (8GB RAM)+AMD A8-5600K+NVIDIA GeForce GTX 660 (2GB)+BENQ GL2460+Linux Mint 18.2 Cinnamon 3.4.4...

Аватара пользователя

AlexelA
Сообщения: 113
Зарегистрирован: 24 июл 2017, 17:11
Откуда: город-герой Новороссийск
Благодарил (а): 18 раз
Поблагодарили: 5 раз

Как обновлять virtualbox5

Сообщение AlexelA » 15 авг 2017, 14:40

В общем - заборол я virtualbox... Снос и установка заново версии 5.1.26 проблему не сняли. Решение найдено здесь
Выкладываю лог:
alexela@alexela-mint ~ $ sudo apt-get --reinstall install virtualbox-dkms
[sudo] пароль для alexela:
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
compiz-core libcompizconfig0 libgsoap8 libreoffice-pdfimport libvncserver1
python-compizconfig
Для их удаления используйте «sudo apt autoremove».
обновлено 0, установлено 0 новых пакетов, переустановлено 1 переустановлено, для удаления отмечено 0 пакетов, и 1 пакетов не обновлено.
Необходимо скачать 623 kБ архивов.
После данной операции, объём занятого дискового пространства возрастёт на 0 B.
Пол:1 http://mirror.logol.ru/ubuntu xenial-updates/multiverse amd64 virtualbox-dkms all 5.0.40-dfsg-0ubuntu1.16.04.1 [623 kB]
Получено 623 kБ за 0с (2 037 kБ/c)
(Чтение базы данных … на данный момент установлено 412052 файла и каталога.)
Подготовка к распаковке …/virtualbox-dkms_5.0.40-dfsg-0ubuntu1.16.04.1_all.deb …

-------- Uninstall Beginning --------
Module: virtualbox
Version: 5.0.40
Kernel: 4.10.0-30-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

vboxdrv.ko:
- Uninstallation
- Deleting from: /lib/modules/4.10.0-30-generic/updates/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.


vboxnetadp.ko:
- Uninstallation
- Deleting from: /lib/modules/4.10.0-30-generic/updates/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.


vboxnetflt.ko:
- Uninstallation
- Deleting from: /lib/modules/4.10.0-30-generic/updates/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.


vboxpci.ko:
- Uninstallation
- Deleting from: /lib/modules/4.10.0-30-generic/updates/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.

depmod..........

DKMS: uninstall completed.

-------- Uninstall Beginning --------
Module: virtualbox
Version: 5.0.40
Kernel: 4.11.0-13-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

vboxdrv.ko:
- Uninstallation
- Deleting from: /lib/modules/4.11.0-13-generic/updates/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.


vboxnetadp.ko:
- Uninstallation
- Deleting from: /lib/modules/4.11.0-13-generic/updates/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.


vboxnetflt.ko:
- Uninstallation
- Deleting from: /lib/modules/4.11.0-13-generic/updates/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.


vboxpci.ko:
- Uninstallation
- Deleting from: /lib/modules/4.11.0-13-generic/updates/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.

depmod..........

DKMS: uninstall completed.

-------- Uninstall Beginning --------
Module: virtualbox
Version: 5.0.40
Kernel: 4.11.0-14-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

vboxdrv.ko:
- Uninstallation
- Deleting from: /lib/modules/4.11.0-14-generic/updates/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.


vboxnetadp.ko:
- Uninstallation
- Deleting from: /lib/modules/4.11.0-14-generic/updates/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.


vboxnetflt.ko:
- Uninstallation
- Deleting from: /lib/modules/4.11.0-14-generic/updates/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.


vboxpci.ko:
- Uninstallation
- Deleting from: /lib/modules/4.11.0-14-generic/updates/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.

depmod....

DKMS: uninstall completed.

-------- Uninstall Beginning --------
Module: virtualbox
Version: 5.0.40
Kernel: 4.8.0-58-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

vboxdrv.ko:
- Uninstallation
- Deleting from: /lib/modules/4.8.0-58-generic/updates/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.


vboxnetadp.ko:
- Uninstallation
- Deleting from: /lib/modules/4.8.0-58-generic/updates/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.


vboxnetflt.ko:
- Uninstallation
- Deleting from: /lib/modules/4.8.0-58-generic/updates/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.


vboxpci.ko:
- Uninstallation
- Deleting from: /lib/modules/4.8.0-58-generic/updates/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.

depmod.......

DKMS: uninstall completed.

------------------------------
Deleting module version: 5.0.40
completely from the DKMS tree.
------------------------------
Done.
Распаковывается virtualbox-dkms (5.0.40-dfsg-0ubuntu1.16.04.1) на замену (5.0.40-dfsg-0ubuntu1.16.04.1) …
Настраивается пакет virtualbox-dkms (5.0.40-dfsg-0ubuntu1.16.04.1) …
Loading new virtualbox-5.0.40 DKMS files...
Building only for 4.11.0-14-generic
Building initial module for 4.11.0-14-generic
Done.

vboxdrv:
Running module version sanity check.
Error! Module version 5.0.40_Ubuntu for vboxdrv.ko
is not newer than what is already found in kernel 4.11.0-14-generic (5.1.26).
You may override by specifying --force.

vboxnetadp.ko:
Running module version sanity check.
Error! Module version 5.0.40_Ubuntu for vboxnetadp.ko
is not newer than what is already found in kernel 4.11.0-14-generic (5.1.26).
You may override by specifying --force.

vboxnetflt.ko:
Running module version sanity check.
Error! Module version 5.0.40_Ubuntu for vboxnetflt.ko
is not newer than what is already found in kernel 4.11.0-14-generic (5.1.26).
You may override by specifying --force.

vboxpci.ko:
Running module version sanity check.
Error! Module version 5.0.40_Ubuntu for vboxpci.ko
is not newer than what is already found in kernel 4.11.0-14-generic (5.1.26).
You may override by specifying --force.

depmod....

DKMS: install completed.
alexela@alexela-mint ~ $ dpkg -l virtualbox-5.1*
Желаемый=неизвестно/установить/удалить[r]/вычистить[p]/зафиксировать[h]
| Состояние=не[n]/установлен/настроен[c]/распакован/частично настроен[F]/
частично установлен[H]/trig-aWait/Trig-pend
|/ Ошибка?=(нет)/требуется переустановка[R] (верхний регистр
в полях состояния и ошибки указывает на ненормальную ситуацию)
||/ Имя Версия Архитектура Описание
+++-==============-============-============-=================================
ii virtualbox-5.1 5.1.26-11722 amd64 Oracle VM VirtualBox
alexela@alexela-mint ~ $ sudo dpkg-reconfigure virtualbox-5.1
addgroup: Группа «vboxusers» уже существует и является системной. Завершение работы.
alexela@alexela-mint ~ $

После чего, при запуске машины, выскочило уже только одно сообщение о необходимости обновления плагинов до версии 5.1.26. (Oracle_VM_VirtualBox_Extension_Pack-5.1.26-117224) После требуемых манипуляций все заработало...
П.С. подозреваю, что все заработало бы и без переустановки vb...
П.П.С. осталось побороть сохранившуюся с предыдущей версии проблему с невидимостью флешек...
Последний раз редактировалось пользователем 1 AlexelA; всего редактировалось раз: 15
Для того, чтобы ничего не делать, надо уметь делать все! (©) (А.Лебедь)
FM2A85X Extreme6 (8GB RAM)+AMD A8-5600K+NVIDIA GeForce GTX 660 (2GB)+BENQ GL2460+Linux Mint 18.2 Cinnamon 3.4.4...

Аватара пользователя

Chocobo
Сообщения: 5503
Зарегистрирован: 27 авг 2016, 19:57
Решено: 128
Откуда: НН
Благодарил (а): 411 раз
Поблагодарили: 1427 раз

Как обновлять virtualbox5

Сообщение Chocobo » 15 авг 2017, 14:52

AlexelA писал(а): virtualbox-dkms
Только вот этот пакет не входит в оркаловый реп. И без него 5.1 работает норм)
Снимок экрана от 2017-08-15 17-52-04.png
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя

darkfenix
Сообщения: 615
Зарегистрирован: 27 июн 2017, 10:36
Решено: 9
Благодарил (а): 40 раз
Поблагодарили: 98 раз

Как обновлять virtualbox5

Сообщение darkfenix » 15 авг 2017, 15:14

AlexelA писал(а): П.П.С. осталось побороть сохранившуюся с предыдущей версии проблему с невидимостью флешек...
Глянь соседнюю тему может поможет

Аватара пользователя

AlexelA
Сообщения: 113
Зарегистрирован: 24 июл 2017, 17:11
Откуда: город-герой Новороссийск
Благодарил (а): 18 раз
Поблагодарили: 5 раз

Как обновлять virtualbox5

Сообщение AlexelA » 15 авг 2017, 15:20

darkfenix писал(а): Глянь соседнюю тему может поможет
Спс, как раз выполнил эту команду и перезагружался, помогло...
Для того, чтобы ничего не делать, надо уметь делать все! (©) (А.Лебедь)
FM2A85X Extreme6 (8GB RAM)+AMD A8-5600K+NVIDIA GeForce GTX 660 (2GB)+BENQ GL2460+Linux Mint 18.2 Cinnamon 3.4.4...

Аватара пользователя

AlexelA
Сообщения: 113
Зарегистрирован: 24 июл 2017, 17:11
Откуда: город-герой Новороссийск
Благодарил (а): 18 раз
Поблагодарили: 5 раз

Как обновлять virtualbox5

Сообщение AlexelA » 15 авг 2017, 15:22

Chocobo писал(а): Только вот этот пакет не входит в оркаловый реп. И без него 5.1 работает норм)
Дык, а я и не спорю. Просто у меня vb взлетел после описанных мной манипуляций...
Для того, чтобы ничего не делать, надо уметь делать все! (©) (А.Лебедь)
FM2A85X Extreme6 (8GB RAM)+AMD A8-5600K+NVIDIA GeForce GTX 660 (2GB)+BENQ GL2460+Linux Mint 18.2 Cinnamon 3.4.4...

Вернуться в «Программирование, скриптинг, виртуализация»